Skip to main content
GET
/
coupon-associations
List coupon associations
curl --request GET \
  --url https://us.api.flexprice.io/v1/coupon-associations \
  --header 'x-api-key: <api-key>'
{
  "items": [
    {
      "coupon": {
        "amount_off": "<string>",
        "created_at": "2023-11-07T05:31:56Z",
        "created_by": "<string>",
        "currency": "<string>",
        "duration_in_periods": 123,
        "environment_id": "<string>",
        "id": "<string>",
        "max_redemptions": 123,
        "metadata": {},
        "name": "<string>",
        "percentage_off": "<string>",
        "redeem_after": "<string>",
        "redeem_before": "<string>",
        "rules": {},
        "tenant_id": "<string>",
        "total_redemptions": 123,
        "updated_at": "2023-11-07T05:31:56Z",
        "updated_by": "<string>"
      },
      "coupon_id": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "created_by": "<string>",
      "end_date": "2023-11-07T05:31:56Z",
      "environment_id": "<string>",
      "id": "<string>",
      "metadata": {},
      "start_date": "2023-11-07T05:31:56Z",
      "subscription_id": "<string>",
      "subscription_line_item_id": "<string>",
      "subscription_phase_id": "<string>",
      "tenant_id": "<string>",
      "updated_at": "2023-11-07T05:31:56Z",
      "updated_by": "<string>"
    }
  ],
  "pagination": {
    "limit": 123,
    "offset": 123,
    "total": 123
  }
}

Authorizations

x-api-key
string
header
required

Enter your API key in the format x-api-key <api-key>*

Query Parameters

subscription_ids
string[]

Filter by subscription IDs

coupon_ids
string[]

Filter by coupon IDs

active_only
boolean

Return only currently active associations

limit
integer

Page size

offset
integer

Page offset

Response

OK

items
object[]
pagination
object